import dataiku

from dku_utils.core import get_current_project_and_variables
from dku_utils.recipes.join_recipe import (
    programmaticJoinHandler,
    compute_join_recipe_computed_column_settings,
)
from dku_utils.recipes.recipe_commons import (
    adapt_recipe_engine_to_priority_and_availability,
    update_recipe_ouput_schema,
)
from dku_utils.recipes.window_recipe import define_window_recipe_aggregations

project, variables = get_current_project_and_variables()
recipe_name = "compute_elasticity"
column_aggregations_mapping = {}

define_window_recipe_aggregations(
    project=project,
recipe_name=recipe_name,
column_aggregations_mapping=column_aggregations_mapping,

)