# Predictions

We use the demand forecast models to predict the sales volume for all products for the discounts available (as defined in the constraints). We automatically use the cold start model (if available) for the products that are flagged as such.

![prediction.png](6bpiH1zqL308)

To create a reference point, we also compute the demande when all the product are at full price ( "Zero Markdown") and when the discounts are the same as the previous unit of time ("Constant markdown").

![zero.png](9Pv3C2w9Yo2Z)![constant.png](UoyXNaKXkOf4)

## Model Evaluation

The models come directly from demand forecasts. We are playing on the price and discount parameters of the products to predict their effect.
If those parameters positively impact the predicted demand, we can more accurately represent the price elasticity.

It's also recommended to perform exploratory analysis on your data to ensure you have good coverage of markdowns on your historical data. Without it, the models will not be able to perform well for unknown markdowns.
