# Usage

To set up this solution, use the  **project setup**  option from the project home page

## Connection details
![connectionn.png](DSkWvLOLAv8p)

Here you have to chose which connection to use for the solution.

**It has to be the same connection as the one used for the Demand Forecast solution**

You also specify the project key of the demand forecast instance to use as a source for the solution. As Demand Forecast uses dataiku applications, it's better to choose the project key of a specific instance instead of the main project.

## Optional datasets
![datasets.png](OyrdmZcrtlqp)

There are several optional datasets to specify the context and the constraints on specific products.
You can select which one to use and then use past the dataset path/table name in the project settings from th interface.

More details on the datasets in [Data inputs](article:11)

## Optimization parameters
![markdown_default_parameters.png](GtMMRflvgvos)

Products that don't have parameters specified in the optional datasets will use the default parameters for optimization and their margin. You can also select the step for the discounts and what is the currency used.

On top of parameters discribed in [Data inputs](article:11): 
 -  **Discount step**:  Between 0 and 1;  it defines the granularity of the discount tested for each product between the minimum and the maximum markdown value 


## Run the project
![run_project.png](hTcjm0o1ugh5)